package com.ruoyi.manage.service.impl;

import java.util.List;


import com.ruoyi.common.core.domain.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.manage.mapper.BaseAreaUserMapper;
import com.ruoyi.manage.domain.BaseAreaUser;
import com.ruoyi.manage.service.IBaseAreaUserService;
import com.ruoyi.common.core.text.Convert;

/**
 * 机场区域用户绑定Service业务层处理
 *
 * @author wangh
 * @date 2024-01-25
 */
@Service("baseAreaUserServiceImpl")
public class BaseAreaUserServiceImpl implements IBaseAreaUserService {
    @Autowired
    private BaseAreaUserMapper baseAreaUserMapper;

    /**
     * 查询机场区域用户绑定
     *
     * @param objid 机场区域用户绑定主键
     * @return 机场区域用户绑定
     */
    @Override
    public BaseAreaUser selectBaseAreaUserByObjid(Long objid) {
        return baseAreaUserMapper.selectBaseAreaUserByObjid(objid);
    }

    /**
     * 查询机场区域用户绑定列表
     *
     * @param baseAreaUser 机场区域用户绑定
     * @return 机场区域用户绑定
     */
    @Override
    public List<BaseAreaUser> selectBaseAreaUserList(BaseAreaUser baseAreaUser) {
        return baseAreaUserMapper.selectBaseAreaUserList(baseAreaUser);
    }

    /**
     * 新增机场区域用户绑定
     *
     * @param baseAreaUser 机场区域用户绑定
     * @return 结果
     */
    @Override
    public int insertBaseAreaUser(BaseAreaUser baseAreaUser) {



            return baseAreaUserMapper.insertBaseAreaUser(baseAreaUser);
    }

    /**
     * 修改机场区域用户绑定
     *
     * @param baseAreaUser 机场区域用户绑定
     * @return 结果
     */
    @Override
    public int updateBaseAreaUser(BaseAreaUser baseAreaUser) {
        return baseAreaUserMapper.updateBaseAreaUser(baseAreaUser);
    }

    /**
     * 批量删除机场区域用户绑定
     *
     * @param objids 需要删除的机场区域用户绑定主键
     * @return 结果
     */
    @Override
    public int deleteBaseAreaUserByObjids(String objids) {
        return baseAreaUserMapper.deleteBaseAreaUserByObjids(Convert.toStrArray(objids));
    }

    /**
     * 删除机场区域用户绑定信息
     *
     * @param objid 机场区域用户绑定主键
     * @return 结果
     */
    @Override
    public int deleteBaseAreaUserByObjid(Long objid) {
        return baseAreaUserMapper.deleteBaseAreaUserByObjid(objid);
    }

    public List<SysUser> selectSysUser(){
        return baseAreaUserMapper.selectSysUser();
    }
}
